<template>
    <div v-if="stateCustomizedSearch">
        <button @click="goBack">Go Back</button>
        <button @click="goBackHome">Home</button>
        <KeyWordComponent @chooseKeywordEvent="emitChooseKeyword" />
        <CategoryComponent
            @chooseCategoryEvent="emitChooseCategory"
            :categories="categoriesToChooseFrom"
        />
        
    </div>
    
</template>

<script>
import KeyWordComponent from './KeyWordComponent.vue'
import CategoryComponent from './CategoryComponent.vue'

export default {
    name: 'CustomizedSearch',

    props: {
        stateCustomizedSearch: { objectType: Boolean, required: true },
        categoriesToChooseFrom: { objectType: Array, required: true },
    },
    components: {
        KeyWordComponent,
        CategoryComponent,
    },

    methods: {
        emitChooseKeyword(KeywordVAlue) {
            this.$emit('keyWordEvent', KeywordVAlue)
        },
        emitChooseCategory(categoryValue) {
            this.$emit('categoryEvent', categoryValue)
        },

        goBack() {
            this.$emit('goBackEvent')
        },
        goBackHome(){
      this.$emit("backHomeEvent");
    },
    },
}
</script>

<style scoped></style>
